#
# spec file for package perl-Parse-RecDescent (Version 1.96.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Parse-RecDescent
Url:            http://cpan.org/modules/by-module/Parse/
License:        Artistic License
Group:          Development/Libraries/Perl
Provides:       ParseRecDescent perl_prd
Obsoletes:      perl_prd
Requires:       perl = %{perl_version}
AutoReqProv:    on
Version:        1.96.0
Release:        1
Summary:        Perl RecDescent Module
Source:         Parse-RecDescent-%{version}.tar.bz2
Patch:          Parse-RecDescent-%{version}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
RecDescent incrementally generates top-down recursive-descent text
parsers from simple yacc-like grammar specifications.



Authors:
--------
    Damian Conway <damian@csse.monash.edu.au>

%prep
%setup -q -n Parse-RecDescent-%{version}
%patch

%build
find -type f | xargs chmod 644
perl Makefile.PL 
make

%check
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist
rm -f $RPM_BUILD_ROOT/%perl_vendorlib/Text/Balanced.pm
rm -f $RPM_BUILD_ROOT/%perl_vendorlib/Text/Balanced.pod
rm -f $RPM_BUILD_ROOT/%{_mandir}/man3/Text::Balanced.3pm*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
/var/adm/perl-modules/perl-Parse-RecDescent
%dir %perl_vendorlib/Parse
%perl_vendorlib/Parse/RecDescent.*
%dir %{perl_vendorarch}/auto/Parse
%{perl_vendorarch}/auto/Parse/RecDescent
%{_mandir}/man3/Parse::RecDescent.3pm.gz

%changelog
* Mon Oct 06 2008 anicka@suse.cz
- update to 1.96.0
  * Updated README to reflect new status of Text::Balanced
  (i.e. required but not included in the distribution)
  * Fixed demo_logic
  * Fixed autopropagation of arguments into repetitions
  * Limited context info to 500 chars in traces
  * Added option to select base namespace for autotreeing
  * Improved formatting compatibility with 5.9.0
  * Added support for $::RD_HINT = 0 to turn off hinting entirely
  * Fixed bug in line handling
  * Returned $return variable to documented behaviour
  (i.e. setting return doesn't guarantee the match, only what is
  returned if the match succeeds)
  * Fixed nit in debugging of conditional regexes
  * Moved expectation creation to compile-time
  * Removed redundant inheritances (i.e. @ISA elements)
  in internal namespace
  * Added warning against C<return> in actions to "GOTCHAS"
  documentation
  * Added demo_another_Cgrammar.pl
  * Documented parens
  * Removed incorrect meta-grammar from docs
  * Propagated correct Changes file
  * Added: <warn> <hint> <trace_build> <trace_parse> <nocheck>
* Fri Dec 14 2007 anicka@suse.cz
- update to 1.94
  * BACKWARDS INCOMPATIBLE CHANGE: The key of an %%item entry for
  a repeated subrule now includes the repetition specifier.
  * Changed argument passing behaviour. If no arguments specified
  for subrule, it is now passed current rule's @arg instead. To
  get old (no arguments) behaviour use: subrule[]
  * Fixed bug in <reject> handling: failed to reject if $return
  had been set.
  * Added two useful demos of restructuring nested data
  * Localized filehandles, like a good citizen should
  * Misc doc bug fixes
  * Fixed Text::Balance dependency in Makefile.PL
  * Fixed bug that @itempos wasn't set up if referred to only in
  an autoaction.
  * Fixed truncation bug in tracing contexts
  * Dramatically improved speed of line counting
  * Made item(s) and item(s /,/) behave consistently wrt %%item
  * Added prototype <autorule:...> handling
  * Added outer block markers for <perl_codeblock>
  * Fixed multi*grammar precompilation (thanks Dominique)
  * Added nesting level information to traces
  * Fixed resetting of $text after an <uncommit> rule.
  * Removed Text::Balanced from distribution (now a prereq only)
  * Fixed fatal error with $tracelevel (thanks everyone)
  * Replaced 'our' with 'use vars' to reinstate 5.005 compatibility.
- enable tests
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon May 10 2004 ro@suse.de
- fix warning/error when used from yast2 (#39963)
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Mon Jul 28 2003 ro@suse.de
- install to vendor location
* Tue Jul 01 2003 ro@suse.de
- use perl_process_packlist macro
* Tue May 13 2003 ro@suse.de
- use defattr
* Thu Aug 08 2002 mls@suse.de
- use sitearch macro
* Mon Jul 29 2002 mls@suse.de
- update to version 1.80
- don't pack Text::Balanced, it's included in perl-5.8
* Mon Feb 25 2002 ro@suse.de
- use defattr (-,root,root)
- remove x-bits from files before build
* Tue Nov 07 2000 ro@suse.de
- renamed package perl_prd to perl-Parse-RecDescent
- added build root
* Tue Jun 06 2000 ro@suse.de
- created package version 1.78
